Updating 3DS System Nand

Discussion in '3DS - Console, Accessories and Hardware' started by Wellington2k, May 21, 2015.

  1. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    With the release of Pasta CFW, I decided it's time to update my old 3DS to 9.2.0U. Here's the problem, it has browser version 9, which is the bane of Ninjhax. How do I go about updating the system nand from 4.2.0-9U to 9.2.0-20U? I was looking at 3DNUS, and I downloaded all the cias to update the 3DS to 9.2.0-20U. Is it OK to install these cias to the system nand via FBI and Ninjhax?

    EDIT: Totally messed up the thread title. Should have been "Update 3DS System Nand via Cias."
     


  2. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    Even better, how do I simply update the browser on 4.2.0-9 to 4.2.0-20 or any other browser version?
     
  3. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    You can use the latest gateway launcher to boot into sysnand gateway mode, then use devmenu to install the newer browser cia.
     
  4. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    Does that require a gateway card?
     
  5. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    Yes. Ok you should be able to do it from Pasta, or from PBT.
     
  6. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    I don't own a Gateway card, myself.
    Are you saying to use PBT to install the 3DNUS cias to the system nand?
     
  7. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    Yes, either pasta or pbt should work equally fine for that.
     
  8. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    OK. I'll try it out with Pasta.
    EDIT: What are the reasons FBI won't work?
     
  9. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    I haven't personally used FBI, only devmenu, and I can't remember reading whether FBI would work for this or not. It probably should I guess.
     
  10. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    I'll use Pasta anyway. Better safe than sorry. You've been a great help so far, I really appreciate it.
    To summarize:
    1. Download 9.2.0-20U with 3DNUS.
    2. Install DEVMenu in Pasta.
    3. Use DEVMenu in Pasta to install the folder of cia files downloaded with 3DNUS.
    Correct?
     
  11. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    Oh, I was thinking of just installing the browser cia (but yes those steps look good except only installing the one cia).

    I have no experience of updating the whole system from cia files either, so you'd want confirmation from someone who knows better about that. Just doing the browser is simple and safe anyway.
     
  12. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    It's fine. I'll just install the new browser version and then update via a cartridge. Will updating via a cart keep the same browser version?
     
  13. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    Yes, cart updates don't touch browser or eshop.
     
  14. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    Question: Just deleted the browser from the NAND, and when I try to install the cia for the browser, it says it already exists.
    If I reboot the system without the browser installed, is that bad?
     
  15. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    I'm not sure, sorry. Does it help if you exit & reenter devmenu?
     
  16. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    Well, I just rebooted the system and nothing bad happened. :shy:
    Going to try and install again.
    EDIT: Well, the browser is gone, so I've got no way to use Ninjhax. I guess I need to use the Gateway restore NAND function to restore the browser.
     
  17. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    I just installed it via PBT, and it seems to have worked. The version number is still -9, but Ninjhax worked when set to -10.
     
  18. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    Nice, good work. Yeah the version shown in system settings doesn't change unless you update NVER (I think) as well, but you don't need to do that for it to work.
     
  19. Wellington2k
    OP

    Wellington2k DO YOU HAS?

    Member
    760
    364
    Nov 1, 2010
    United States
    Somewhere in this world of ours
    Haha! Well... It did work before I updated to 8.1.0 via a cart. Now it seems it doesn't work whether I install Ninjhax with -10 or -9. Every time I just get exited to the browser.
     
  20. hippy dave

    hippy dave Butts Butts Megabutts

    Member
    2,568
    1,791
    Apr 30, 2012
    That sucks, did you back up the working version? I don't know, apparently ninjhax is dodgy with some versions.